package com.lukouguoji.gnc.page.distribution.handover

import android.view.View
import com.lukouguoji.gnc.databinding.ItemGncDistributionHandoverBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.FlightBean

class GncDistributionHandoverViewHolder(view: View) :
    BaseViewHolder<FlightBean, ItemGncDistributionHandoverBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item)!!
        binding.bean = bean

        notifyItemClick(position, binding.tvModify)
        binding.ivIcon.setOnClickListener {
            bean.checked.set(!bean.checked.get())
        }
    }

}